Skip to main content
POST

Path Parameters

collectionName
string
required

The name given to the collection in the manifest. Case-sensitive.

Body

application/json
content
object
required

The document content matching collection schema

Response

Document created successfully

id
string<uuid>

Unique identifier for the Document

datastoreId
string<uuid>

Unique identifier of the Datastore that this Document's Collection belongs to.

collectionId
string<uuid>

Unique identifier of the Collection this Document belongs to.

syncRequired
boolean

Whether or not this Document needs to be synced by Domo to the associated DataSet; only applies if the syncEnabled option is on for the Collection.

owner
string

User ID of the Document owner.

createdBy
string

User ID of the user who created the Document.

createdOn
string<date-time>

The ISO-8601 timestamp showing when this Document was created.

updatedOn
string<date-time>

The ISO-8601 timestamp showing when this Document was last updated.

updatedBy
string

User ID of the user who last updated the Document.

content
object

The actual Document content